# Class ColumnMetadata

java.lang.Object
com.databricks.jdbc.model.core.ColumnMetadata

public class ColumnMetadata extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ColumnMetadata.Builder`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`int`
`getNullable()`
`int`
`getPrecision()`
`int`
`getScale()`
`int`
`getTypeInt()`
`String`
`getTypeText()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()

### getTypeText

public String getTypeText()

### getTypeInt

public int getTypeInt()

### getPrecision

public int getPrecision()

### getScale

public int getScale()

### getNullable

public int getNullable()